package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFUserMapper;
import com.sa.ibiz.demo.demo.domain.WFUser;
import com.sa.ibiz.demo.demo.service.WFUserService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFUserSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[WFUser] 服务对象接口实现
 */
@Service
public class WFUserServiceImpl extends ServiceImplBase<WFUserMapper, WFUser> implements WFUserService{


    @Resource
    private WFUserMapper wfuserMapper;


    @Override
    public boolean create(WFUser et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFUser et){
        this.beforeUpdate(et);
		this.wfuserMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFUser et){
		return et.getWfuserid();  
    }

    @Override
    public boolean getDraft(WFUser et)  {
            return true;
    }

	public List<WFUser> listDefault(WFUserSearchFilter filter) {
		return wfuserMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFUser> searchDefault(WFUserSearchFilter filter) {
		return wfuserMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfuserMapper.selectRow(sql);
    }

 }